#include "defines.h"
#include "amacro.h"

void print_fatr(int atr)
/* ファイル属性表示 */
{
char matr[7];
	strcpy(matr,"------");
	if (atr & FA_ARCH)  matr[0]='A';
	if (atr & FA_RONLY) matr[1]='R';
	if (atr & FA_HIDE)  matr[2]='H';
	if (atr & FA_SYS)   matr[3]='S';
	if (atr & FA_DIREC) matr[4]='D';
	if (atr & FA_VOL)   matr[5]='V';
	prints(matr);
}
